﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Popups;

namespace AKApp
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            // 禁用默认的访问键提示
            Windows.UI.Xaml.Input.AccessKeyManager.AreKeyTipsEnabled = false;
            messageDlg = new MessageDialog("...");
        }

        MessageDialog messageDlg = null;
        private async void OnUpdate(object sender, RoutedEventArgs e)
        {
            messageDlg.Content = "Update 按钮被激活。";
            await messageDlg.ShowAsync();
        }

        private async void Rectangle_AccessKeyInvoked(UIElement sender, AccessKeyInvokedEventArgs args)
        {
            messageDlg.Content = "这是红色矩形。";
            await messageDlg.ShowAsync();
        }

        private void OnAccessKeyDisplayReq(UIElement sender, AccessKeyDisplayRequestedEventArgs args)
        {
            FrameworkElement ele = sender as FrameworkElement;
            Flyout fly = ele.ContextFlyout as Flyout;

            TextBlock tb = fly.Content as TextBlock;
            tb.Text = $"请按【Alt + {ele.AccessKey}】键";
            fly.ShowAt(ele);
        }

        private void OnAccessKeyDisplayDism(UIElement sender, AccessKeyDisplayDismissedEventArgs args)
        {
            FrameworkElement ele = sender as FrameworkElement;
            Flyout fl = ele.ContextFlyout as Flyout;
            fl.Hide();
        }
    }
}
